## WebKitDOMCSSStyleSheet WebKitDOMCSSStyleSheet |

## Functions

gulong | webkit_dom_css_style_sheet_insert_rule ()
void | webkit_dom_css_style_sheet_delete_rule ()
glong | webkit_dom_css_style_sheet_add_rule ()
void | webkit_dom_css_style_sheet_remove_rule ()
WebKitDOMCSSRule * | webkit_dom_css_style_sheet_get_owner_rule ()
WebKitDOMCSSRuleList * | webkit_dom_css_style_sheet_get_css_rules ()
WebKitDOMCSSRuleList * | webkit_dom_css_style_sheet_get_rules ()

## Properties

WebKitDOMCSSRuleList * | css-rules | Read
WebKitDOMCSSRule * | owner-rule | Read
WebKitDOMCSSRuleList * | rules | Read

## Types and Values

| WebKitDOMCSSStyleSheet

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMStyleSheet
                ╰── WebKitDOMCSSStyleSheet

## Description

## Functions

### webkit_dom_css_style_sheet_insert_rule ()

    gulong
    webkit_dom_css_style_sheet_insert_rule
                                   (WebKitDOMCSSStyleSheet *self,
                                    const gchar *rule,
                                    gulong index,
                                    GError **error);

#### Parameters

self | A WebKitDOMCSSStyleSheet |
rule | A gchar |
index | A gulong |
error | GError |

#### Returns

A gulong

### webkit_dom_css_style_sheet_delete_rule ()

    void
    webkit_dom_css_style_sheet_delete_rule
                                   (WebKitDOMCSSStyleSheet *self,
                                    gulong index,
                                    GError **error);

#### Parameters

self | A WebKitDOMCSSStyleSheet |
index | A gulong |
error | GError |

### webkit_dom_css_style_sheet_add_rule ()

    glong
    webkit_dom_css_style_sheet_add_rule (WebKitDOMCSSStyleSheet *self,
                                         const gchar *selector,
                                         const gchar *style,
                                         gulong index,
                                         GError **error);

#### Parameters

self | A WebKitDOMCSSStyleSheet |
selector | A gchar |
style | A gchar |
index | A gulong |
error | GError |

#### Returns

A glong

### webkit_dom_css_style_sheet_remove_rule ()

    void
    webkit_dom_css_style_sheet_remove_rule
                                   (WebKitDOMCSSStyleSheet *self,
                                    gulong index,
                                    GError **error);

#### Parameters

self | A WebKitDOMCSSStyleSheet |
index | A gulong |
error | GError |

### webkit_dom_css_style_sheet_get_owner_rule ()

    WebKitDOMCSSRule *
    webkit_dom_css_style_sheet_get_owner_rule
                                   (WebKitDOMCSSStyleSheet *self);

#### Parameters

self | A WebKitDOMCSSStyleSheet |

#### Returns

A WebKitDOMCSSRule.

[transfer none]

### webkit_dom_css_style_sheet_get_css_rules ()

    WebKitDOMCSSRuleList *
    webkit_dom_css_style_sheet_get_css_rules
                                   (WebKitDOMCSSStyleSheet *self);

#### Parameters

self | A WebKitDOMCSSStyleSheet |

#### Returns

A WebKitDOMCSSRuleList.

[transfer none]

### webkit_dom_css_style_sheet_get_rules ()

    WebKitDOMCSSRuleList *
    webkit_dom_css_style_sheet_get_rules (WebKitDOMCSSStyleSheet *self);

#### Parameters

self | A WebKitDOMCSSStyleSheet |

#### Returns

A WebKitDOMCSSRuleList.

[transfer none]

## Types and Values

### WebKitDOMCSSStyleSheet

    typedef struct _WebKitDOMCSSStyleSheet WebKitDOMCSSStyleSheet;

## Property Details

### The `“css-rules”` property

      “css-rules”                WebKitDOMCSSRuleList *

read-only WebKitDOMCSSRuleList* CSSStyleSheet:css-rules.

Flags: Read

### The `“owner-rule”` property

      “owner-rule”               WebKitDOMCSSRule *

read-only WebKitDOMCSSRule* CSSStyleSheet:owner-rule.

Flags: Read

### The `“rules”` property

      “rules”                    WebKitDOMCSSRuleList *

read-only WebKitDOMCSSRuleList* CSSStyleSheet:rules.

Flags: Read